# sh setup to set prompt and add make alias
# $Id: shell_rc.bash e53cb40bc532c91f367973e41a7ad5d41ebabf2b Wed Jun 24 17:14:55 2020 -0400 <gcc@fargos.net> $
# shell_rc.bash and shell_rc.sh are expected to be identical
# Sets:
#   PROMPT_COMMAND - sets title in xterm to indicate directory
#   PS1 - indicates directory
#   SBREL_PATH - absolute path of sbrel program
#   SBMAKE_PATH - absolute path of sbmake script
#   alias for make to sbmake

# if user has a .bashrc, read it first...
for f in "${HOME}/.bashrc" "${HOME}/.workon_rc.sh"
do
	if test -r "${f}"
	then
		. "${f}"
	fi
done

SBREL_PATH=`which sbrel`
export SBREL_PATH
_archSubType=`buildArch --subtype`

# file for sh/ksh/bash
case "${TERM}" in
xterm*)
	PROMPT_COMMAND='echo -ne "\033]0;SB ${SB_NAME}${_archSubType:+.}${_archSubType}:"`${SBREL_PATH} -q -symbolicpath`"${HOSTNAME:+ @}${HOSTNAME}\007"'
	export PROMPT_COMMAND
	;;
esac

PS1="[[SB:${SB_NAME}${_archSubType:+.}${_archSubType}@"'`${SBREL_PATH} -q -symbolicpath`]]$ '

SBMAKE_PATH=`which --skip-alias sbmake 2>/dev/null | awk '/Usage:/ { exit; } { print $0; }'`
if test -z "${SBMAKE_PATH}"
then # --skip-alias not recognized (e.g., implemented by busybox)
	SBMAKE_PATH=`which sbmake`
fi
# Add alias for make to sbmake script
alias make="${SBMAKE_PATH:-sbmake}"
