# Resolve Windows paths for interesting cygwin executables
# and store in environment for subsequent retrieval.
# This should be sourced, thus it is not an executable script.
# $Id:  $
for _prog in bash gdb g++ clang++
do
	_cyg_path=`which ${_prog} 2>/dev/null`
	if test -z "${_cyg_path}"
	then
		echo Failed to obtain a path for ${_prog} >&2
		continue
	fi
	# convert each "\" to "\\" for later eval
	_exe_path=`cygpath -w "${_cyg_path}" | sed -e 's/\\\\/\\\\\\\\/g' `
	# convert program name to upper case, convert plus signs to PLUS
	_envVar=`echo ${_prog^^} | sed -e 's/++/_PLUSPLUS/'`_EXE_PATH
#	echo envVar = ${_envVar} "${_exe_path}"
	eval ${_envVar}="${_exe_path}"
	eval export ${_envVar}
done
