# bash completion function for workon parameters
# Normally installed to /etc/bash_completion.d
# Copyright (C) 2018 - 2019 FARGOS Development, LLC
# $Id: workon_completion.sh 81446283174f0d78e1b5e61ac95503a71fafd3ea Tue Jun 16 17:21:31 2020 -0400 <gcc@fargos.net> $
_completion_workon()
{
	local cur prev opts
	# pointer to current completion word
	# By convention, named "cur"

	COMPREPLY=() # array variable storing possible completions
	cur="${COMP_WORDS[COMP_CWORD]}"
	prev="${COMP_WORDS[COMP_CWORD-1]}"
#echo cur=${cur} prev=${prev} COMP_CWORD ${COMP_CWORD}

	case "${prev}" in
	--rc | -rc | --sbroot | -sbroot)
		_filedir
		return 0
		;;
	--sb | -sb)
		sandboxes=`lssb`
		COMPREPLY=( $( compgen -W "${sandboxes}" -- ${cur} ) )
#echo SB-COMPREPLY ${COMPREPLY} cur "${cur}"
		return 0
		;;
	--bt | -bt)
		trees=`lsbt -n`
		COMPREPLY=( $( compgen -W "${trees}" -- ${cur} ) )
#echo BT-COMPREPLY ${COMPREPLY} cur "${cur}"
		return 0
		;;
	--ta | -ta)
		targets=`buildArch --avail 2>/dev/null`
		COMPREPLY=( $( compgen -W "${targets}" -- ${cur} ) )
#echo TA-COMPREPLY ${COMPREPLY} cur "${cur}"
		return 0
		;;
	--ba | -ba)
		nativeTypes=`buildArch --ba`
		COMPREPLY=( $( compgen -W "${nativeTypes}" -- ${cur} ) )
#echo BA-COMPREPLY ${COMPREPLY} cur "${cur}"
		return 0
		;;
	--command | -command | -c | --COMMAND) # command
		COMPREPLY=( $( compgen -c -- ${cur} ) )
		return 0
		;;
	esac

	opts="--sb --ta --bt --ba --rc --ssh --nossh --noinit --sbroot --command -c --COMMAND --help"

	case X"${cur}" in
	*)
		COMPREPLY=( $( compgen -W "${opts}" -- ${cur} ) )
#echo COMPREPLY ${COMPREPLY} cur "${cur}"
		return 0
		;;
	esac
#echo fallthru ${COMPREPLY} cur "${cur}"

	return 0
}

complete -F _completion_workon workon
